## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
ppft is a fork of Parallel Python, and is developed as part of pathos:
https://github.com/uqfoundation/pathos

Parallel Python module (pp) provides an easy and efficient way to create
parallel-enabled applications for SMP computers and clusters. pp module
features cross-platform portability and dynamic load balancing. Thus
application written with pp will parallelize efficiently even on heterogeneous
and multi-platform clusters (including clusters running other application with
variable CPU loads). Visit http://www.parallelpython.com for further
information.

ppft is part of pathos, a python framework for heterogeneous computing. ppft is
in active development, so any user feedback, bug reports, comments, or
suggestions are highly appreciated. A list of issues is located at
https://github.com/uqfoundation/ppft/issues, with a legacy list maintained at
https://uqfoundation.github.io/project/pathos/query.}


%global forgeurl https://github.com/uqfoundation/ppft/

Name:           python-ppft
Version:        1.7.6.9
Release:        %autorelease
Summary:        Distributed and parallel python

%global tag %{version}
%forgemeta

# spdx
License:        BSD-3-Clause
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch

%description %_description

%package -n python3-ppft
Summary:        %{summary}
BuildRequires:  python3-devel
# For the tests
BuildRequires:  %{py3_dist pox}

# ppft is a drop in replacement of pp
%py_provides python3-pp

%description -n python3-ppft %_description


%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%forgeautosetup -p1

# remove shebangs
find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

chmod -x ppft/tests/*.py


%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
# generated during build so must be cleaned up here
sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' %{buildroot}%{python3_sitelib}/ppft/__info__.py
%pyproject_save_files -l ppft pp

%check
# run the tests
# needs to be run from a directory that does not contain a ppft folder
cd ppft/tests
%{py3_test_envvars} %{python3} -m ppft.tests

%files -n python3-ppft -f %{pyproject_files}
%doc README.md CHANGELOG
%{_bindir}/ppserver

%files doc
%license COPYING LICENSE
%doc ppft/tests

%changelog
## START: Generated by rpmautospec
* Thu Oct 10 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.9-2
- fix: drop merged patches (fixes rh#2315506)

* Sun Sep 29 2024 Packit <hello@packit.dev> - 1.7.6.9-1
- Update to 1.7.6.9 upstream release
- Resolves: rhbz#2315506

* Sun Sep 22 2024 Sandro <devel@penguinpee.nl> - 1.7.6.8-4
- Fix tests for Python 3.13 (RHBZ#2291847)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.7.6.8-2
- Rebuilt for Python 3.13

* Tue Feb 20 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.8-1
- feat: update to 1.7.6.8 (fixes rh#2260678)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.6.7-3
- Assert that a license file is present in the .dist-info directory

* Mon Oct 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.6.7-2
- F38+: Use %%{py3_test_envvars} to set up the test environment

* Thu Oct 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.7-1
- fix: correctly update to 1.7.6.7

* Thu Oct 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.6-4
- feat: update to 1.7.6.7 (fixes rh#2224836)

* Thu Oct 12 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.6-3
- chore: add packit

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Sandro <devel@penguinpee.nl> - 1.7.6.6-1
- Update to 1.7.6.6
- Examples have been moved to ppft/tests

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.7.6.5-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.7.6.5-1
- feat: update to 1.7.6.5 (fixes rhbz#2088652)

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.6.6.4-9
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.6.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.6.4-7
- chore: bump

* Fri Dec 10 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.6.4-6
- chore: check-in patch

* Fri Dec 10 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.6.4-5
- fix: correct macro in provides

* Tue Dec 07 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.6.6.4-3
- provide python-pp
- use pyproject rpm macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.6.6.4-1
- Initial build
- Add left over docs and man page


## END: Generated by rpmautospec
